# First-Boot Server Utilities

This repository contains a collection of small, independent utilities designed to run on a server's first boot to perform a specific, helpful task.

This top-level README serves as a directory to the tools contained within.

## The Tools

### 1. Ripcord
**To prevent a disk-full event and recover your system, delete this file.**

On first boot Ripcord creates a large "ballast" file of random data. If your server's disk fills up and locks you out, you can delete this single file to instantly free up space, giving you breathing room to log in and fix the underlying issue.

➡️ **For full details, see the [Ripcord README](./ripcord/README.md)**

### 2. SYNterloper
**A first-boot, truncated, rolling PCAP logger.**

SYNterloper sets up a persistent, low-overhead network capture service (by default for SSH on port 22). It's designed for automated deployment (e.g., AWS User Data) to log connection attempts for security or troubleshooting, with automatic log rotation and pruning.

➡️ **For full details, see the [SYNterloper README](./synterloper/README.md)**

---

## Important: Project Management and Status

The tools in this repository, **Ripcord** and **SYNterloper**, are currently maintained as two separate and distinct projects.

-   **No Unified Installer:** There is no single script to install or manage both tools. They were developed for different purposes and have their own installation and management logic.
-   **Separate Documentation:** Each tool has its own `README.md` file with specific installation, configuration, and usage instructions.
-   **Independent Operation:** The scripts do not interact with or depend on each other. You can install one, the other, or both without conflict.

### How to Use This Repository

To use a tool, please navigate to its respective directory and follow the instructions in its README file.

```
.
├── ripcord/
│   ├── ripcord.sh
│   └── README.md
├── synterloper/
│   ├── synterloper.sh
│   └── README.md
└── README.md       (You are here)
```

While a unified toolkit may be considered in the future, the current approach ensures each utility remains simple, self-contained, and easy to understand.